#ifndef TNEXUS_H_
#define TNEXUS_H_

//#include "c4d.h"
//#include "c4d_symbols.h"
#include "tnexus.h"
#include "splinevis.h"
#include "main.h"

#include "customgui_priority.h"

// be sure to use a unique ID obtained from www.plugincafe.com
#define ID_NEXUS 1001165



class Nexus : public TagData
{
public:
	

	Bool Init(GeListNode* node);
	
	INSTANCEOF(Nexus, NodeData);
	virtual Bool Message(GeListNode* node, Int32 type, void* data);
	//virtual Bool Read(GeListNode* node, HyperFile* hf, Int32 level);
	~Nexus();

	//virtual EXECUTIONRESULT Execute(BaseTag* tag, BaseDocument* doc, BaseObject* op, BaseThread* bt, Int32 priority, EXECUTIONFLAGS flags);
	//virtual Bool GetDDescription(GeListNode* node, Description* description, DESCFLAGS_DESC& flags);
public:
	static NodeData* Alloc() { return NewObjClear(Nexus); }
};




Bool RegisterNexus()
{
	return RegisterTagPlugin(ID_NEXUS, GeLoadString(10000), TAG_EXPRESSION | TAG_VISIBLE, Nexus::Alloc, "Tnexus"_s, AutoBitmap("lookatcamera.tif"_s), 0);
}


#endif //TNEXUS_H_

